Groovy Documentation

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspRenderTag

    java.lang.Object
      javax.servlet.jsp.tagext.BodyTagSupport
          org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
              org.codehaus.groovy.grails.web.taglib.jsp.JspRenderTag

    public class JspRenderTag
    extends JspInvokeGrailsTagLibTag

JSP facade onto the GSP render tag.

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Constructor Summary
`JspRenderTag()`

Method Summary
`java.lang.String` | `getBean()`
`java.lang.String` | `getCollection()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getTemplate()`
`void` | `setBean(java.lang.String bean)`
`void` | `setCollection(java.lang.String collection)`
`void` | `setModel(java.lang.String model)`
`void` | `setTemplate(java.lang.String template)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Constructor Detail

### JspRenderTag

    public JspRenderTag()

Method Detail

### getBean

    public java.lang.String getBean()

### getCollection

    public java.lang.String getCollection()

### getModel

    public java.lang.String getModel()

### getTemplate

    public java.lang.String getTemplate()

### setBean

    public void setBean(java.lang.String bean)

### setCollection

    public void setCollection(java.lang.String collection)

### setModel

    public void setModel(java.lang.String model)

### setTemplate

    public void setTemplate(java.lang.String template)

Groovy Documentation